<?php
if (!defined('TYPO3_MODE')) {
	die('Access denied.');
}

/** @var string */
$_EXTKEY = 't3sbootstrap';

/***************
 * Extension configuration
 */
$_EXTCONF = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY]);

/***************
 * New field in table:pages
 */
$tempPagesColumns = [
	'tx_t3sbootstrap_glyphicon' => [
		'exclude' => 0,
		'label' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:pages.tx_t3sbootstrap_glyphicon',
		'config' => [
			'type' => 'select',
			'items' => [
				['LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:pages.tx_t3sbootstrap_no_glyphicon', ''],
				['glyphicon-asterisk', 'asterisk'],
				['glyphicon-plus', 'plus'],
				['glyphicon-euro', 'euro'],
				['glyphicon-minus', 'minus'],
				['glyphicon-cloud', 'cloud'],
				['glyphicon-envelope', 'envelope'],
				['glyphicon-pencil', 'pencil'],
				['glyphicon-glass', 'glass'],
				['glyphicon-music', 'music'],
				['glyphicon-search', 'search'],
				['glyphicon-heart', 'heart'],
				['glyphicon-star', 'star'],
				['glyphicon-star-empty', 'star-empty'],
				['glyphicon-user', 'user'],
				['glyphicon-film', 'film'],
				['glyphicon-th-large', 'th-large'],
				['glyphicon-th', 'th'],
				['glyphicon-th-list', 'th-list'],
				['glyphicon-ok', 'ok'],
				['glyphicon-remove', 'remove'],
				['glyphicon-zoom-in', 'zoom-in'],
				['glyphicon-zoom-out', 'zoom-out'],
				['glyphicon-off', 'off'],
				['glyphicon-signal', 'signal'],
				['glyphicon-cog', 'cog'],
				['glyphicon-trash', 'trash'],
				['glyphicon-home', 'home'],
				['glyphicon-file', 'file'],
				['glyphicon-time', 'time'],
				['glyphicon-road', 'road'],
				['glyphicon-download-alt', 'download-alt'],
				['glyphicon-download', 'download'],
				['glyphicon-upload', 'upload'],
				['glyphicon-inbox', 'inbox'],
				['glyphicon-play-circle', 'lay-circle'],
				['glyphicon-repeat', 'repeat'],
				['glyphicon-refresh', 'refresh'],
				['glyphicon-list-alt', 'list-alt'],
				['glyphicon-lock', 'lock'],
				['glyphicon-flag', 'flag'],
				['glyphicon-headphones', 'headphones'],
				['glyphicon-volume-off', 'volume-off'],
				['glyphicon-volume-down', 'volume-down'],
				['glyphicon-volume-up', 'volume-up'],
				['glyphicon-qrcode', 'qrcode'],
				['glyphicon-barcode', 'barcode'],
				['glyphicon-tag', 'tag'],
				['glyphicon-tags', 'tags'],
				['glyphicon-book', 'book'],
				['glyphicon-bookmark', 'bookmark'],
				['glyphicon-print', 'print'],
				['glyphicon-camera', 'camera'],
				['glyphicon-font', 'font'],
				['glyphicon-bold', 'bold'],
				['glyphicon-italic', 'italic'],
				['glyphicon-text-height', 'text-height'],
				['glyphicon-text-width', 'text-width'],
				['glyphicon-align-left', 'align-left'],
				['glyphicon-align-center', 'align-center'],
				['glyphicon-align-right', 'align-right'],
				['glyphicon-align-justify', 'align-justify'],
				['glyphicon-list', 'list'],
				['glyphicon-indent-left', 'indent-left'],
				['glyphicon-indent-right', 'indent-right'],
				['glyphicon-facetime-video', 'facetime-video'],
				['glyphicon-picture', 'picture'],
				['glyphicon-map-marker', 'map-marker'],
				['glyphicon-adjust', 'adjust'],
				['glyphicon-tint', 'tint'],
				['glyphicon-edit', 'edit'],
				['glyphicon-share', 'share'],
				['glyphicon-check', 'check'],
				['glyphicon-move', 'move'],
				['glyphicon-step-backward', 'step-backward'],
				['glyphicon-fast-backward', 'fast-backward'],
				['glyphicon-backward', 'backward'],
				['glyphicon-play', 'play'],
				['glyphicon-pause', 'pause'],
				['glyphicon-stop', 'stop'],
				['glyphicon-forward', 'forward'],
				['glyphicon-fast-forward', 'fast-forward'],
				['glyphicon-step-forward', 'step-forward'],
				['glyphicon-eject', 'eject'],
				['glyphicon-chevron-left', 'chevron-left'],
				['glyphicon-chevron-right', 'chevron-right'],
				['glyphicon-plus-sign', 'plus-sign'],
				['glyphicon-minus-sign', 'minus-sign'],
				['glyphicon-remove-sign', 'remove-sign'],
				['glyphicon-ok-sign', 'ok-sign'],
				['glyphicon-question-sign', 'question-sign'],
				['glyphicon-info-sign', 'info-sign'],
				['glyphicon-screenshot', 'screenshot'],
				['glyphicon-remove-circle', 'remove-circle'],
				['glyphicon-ok-circle', 'ok-circle'],
				['glyphicon-ban-circle', 'ban-circle'],
				['glyphicon-arrow-left', 'arrow-left'],
				['glyphicon-arrow-right', 'arrow-right'],
				['glyphicon-arrow-up', 'arrow-up'],
				['glyphicon-arrow-down', 'arrow-down'],
				['glyphicon-share-alt', 'share-alt'],
				['glyphicon-resize-full', 'resize-full'],
				['glyphicon-resize-small', 'resize-small'],
				['glyphicon-exclamation-sign', 'exclamation-sign'],
				['glyphicon-gift', 'ift'],
				['glyphicon-leaf', 'leaf'],
				['glyphicon-fire', 'fire'],
				['glyphicon-eye-open', 'eye-open'],
				['glyphicon-eye-close', 'eye-close'],
				['glyphicon-warning-sign', 'warning-sign'],
				['glyphicon-plane', 'plane'],
				['glyphicon-calendar', 'calendar'],
				['glyphicon-random', 'random'],
				['glyphicon-comment', 'comment'],
				['glyphicon-magnet', 'magnet'],
				['glyphicon-chevron-up', 'chevron-up'],
				['glyphicon-chevron-down', 'chevron-down'],
				['glyphicon-retweet', 'retweet'],
				['glyphicon-shopping-cart', 'shopping-cart'],
				['glyphicon-folder-close', 'folder-close'],
				['glyphicon-folder-open', 'folder-open'],
				['glyphicon-resize-vertical', 'resize-vertical'],
				['glyphicon-resize-horizontal', 'resize-horizontal'],
				['glyphicon-hdd', 'hdd'],
				['glyphicon-bullhorn', 'bullhorn'],
				['glyphicon-bell', 'bell'],
				['glyphicon-certificate', 'certificate'],
				['glyphicon-thumbs-up', 'thumbs-up'],
				['glyphicon-thumbs-down', 'thumbs-down'],
				['glyphicon-hand-right', 'hand-right'],
				['glyphicon-hand-left', 'hand-left'],
				['glyphicon-hand-up', 'hand-up'],
				['glyphicon-hand-down', 'hand-down'],
				['glyphicon-circle-arrow-right', 'circle-arrow-right'],
				['glyphicon-circle-arrow-left', 'circle-arrow-left'],
				['glyphicon-circle-arrow-up', 'circle-arrow-up'],
				['glyphicon-circle-arrow-down', 'circle-arrow-down'],
				['glyphicon-globe', 'globe'],
				['glyphicon-wrench', 'wrench'],
				['glyphicon-tasks', 'tasks'],
				['glyphicon-filter', 'filter'],
				['glyphicon-briefcase', 'briefcase'],
				['glyphicon-fullscreen', 'fullscreen'],
				['glyphicon-dashboard', 'dashboard'],
				['glyphicon-paperclip', 'paperclip'],
				['glyphicon-heart-empty', 'heart-empty'],
				['glyphicon-link', 'link'],
				['glyphicon-phone', 'phone'],
				['glyphicon-pushpin', 'pushpin'],
				['glyphicon-usd', 'usd'],
				['glyphicon-gbp', 'gbp'],
				['glyphicon-sort', 'sort'],
				['glyphicon-sort-by-alphabet', 'sort-by-alphabet'],
				['glyphicon-sort-by-alphabet-alt', 'sort-by-alphabet-alt'],
				['glyphicon-sort-by-order', 'sort-by-order'],
				['glyphicon-sort-by-order-alt', 'sort-by-order-alt'],
				['glyphicon-sort-by-attributes', 'sort-by-attributes'],
				['glyphicon-sort-by-attributes-alt', 'sort-by-attributes-alt'],
				['glyphicon-unchecked', 'unchecked'],
				['glyphicon-expand', 'expand'],
				['glyphicon-collapse-down', 'collapse-down'],
				['glyphicon-collapse-up', 'collapse-up'],
				['glyphicon-log-in', 'log-in'],
				['glyphicon-flash', 'flash'],
				['glyphicon-log-out', 'log-out'],
				['glyphicon-new-window', 'new-window'],
				['glyphicon-record', 'record'],
				['glyphicon-save', 'save'],
				['glyphicon-open', 'open'],
				['glyphicon-saved', 'saved'],
				['glyphicon-import', 'import'],
				['glyphicon-export', 'export'],
				['glyphicon-send', 'send'],
				['glyphicon-floppy-disk', 'floppy-disk'],
				['glyphicon-floppy-saved', 'floppy-saved'],
				['glyphicon-floppy-remove', 'floppy-remove'],
				['glyphicon-floppy-save', 'floppy-save'],
				['glyphicon-floppy-open', 'floppy-open'],
				['glyphicon-credit-card', 'credit-card'],
				['glyphicon-transfer', 'transfer'],
				['glyphicon-cutlery', 'cutlery'],
				['glyphicon-header', 'header'],
				['glyphicon-compressed', 'compressed'],
				['glyphicon-earphone', 'earphone'],
				['glyphicon-phone-alt', 'phone-alt'],
				['glyphicon-tower', 'tower'],
				['glyphicon-stats', 'stats'],
				['glyphicon-sd-video', 'sd-video'],
				['glyphicon-hd-video', 'hd-video'],
				['glyphicon-subtitles', 'subtitles'],
				['glyphicon-sound-stereo', 'sound-stereo'],
				['glyphicon-sound-dolby', 'sound-dolby'],
				['glyphicon-sound-5-1', 'sound-5-1'],
				['glyphicon-sound-6-1', 'sound-6-1'],
				['glyphicon-sound-7-1', 'sound-7-1'],
				['glyphicon-copyright-mark', 'copyright-mark'],
				['glyphicon-registration-mark', 'registration-mark'],
				['glyphicon-cloud-download', 'cloud-download'],
				['glyphicon-cloud-upload', 'cloud-upload'],
				['glyphicon-tree-conifer', 'tree-conifer'],
				['glyphicon-tree-deciduous', 'tree-deciduous'],
			],
			'size' => 1,
			'renderType' => 'selectSingle',
			'maxitems' => 1
		]
	],

	'tx_t3sbootstrap_fontawesome_icon' => [
		'label'   => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:pages.tx_t3sbootstrap_fontawesome_icon',
		'config' => [
			'type' => 'input',
			'size' => '20',
		]
	],

	'tx_t3sbootstrap_linkToTop' => [
			'exclude' => 0,
			'label' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_db.xlf:pages.tx_t3sbootstrap_linkToTop',
			'config' => [
					'type' => 'check',
			]
	]

];

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages',$tempPagesColumns);

if ($_EXTCONF['fontawesome']) {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('pages','title','--linebreak--,tx_t3sbootstrap_fontawesome_icon','after:subtitle');
} else {
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('pages','title','--linebreak--,tx_t3sbootstrap_glyphicon','after:subtitle');
}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('pages','layout','--linebreak--,tx_t3sbootstrap_linkToTop','after:backend_layout_next_level');
